Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000035Core InformPropertiespublic2010-06-14 23:272010-07-01 23:07
ReporterAaronReed 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000035: Plural creation of properties silently fails.
DescriptionThe assertion "A tennis court has numbers called length and width." does not generate any problem messages, but it also does not appear to create either requested property. It seems like one or the other should take place.
Minimal Source Text To Reproduce
A tennis court is a kind of room. A tennis court has numbers called length and width. Court 9 is 
a tennis court.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000004)
jmcgrew (administrator)
2010-06-15 09:29

It creates a single property called "length and width".
(0000009)
graham (administrator)
2010-06-15 16:58

Curious that nobody has tried this before, really - it looks as if we never thought of this possibility during testing. Have added the following test case:

A tennis court is a kind of room. A tennis court has numbers called length and width.

Court 9 is a tennis court.

The length of Court 9 is 22. The width of Court 9 is 35.

The description of a tennis court is usually "You stand on a court measuring [length] by [width]."

- Issue History
Date Modified Username Field Change
2010-06-14 23:27 AaronReed New Issue
2010-06-15 01:01 jmcgrew Status new => acknowledged
2010-06-15 09:29 jmcgrew Note Added: 0000004
2010-06-15 09:29 jmcgrew Status acknowledged => confirmed
2010-06-15 10:54 jmcgrew Category Assertions and creations => Properties
2010-06-15 16:58 graham Note Added: 0000009
2010-06-15 16:58 graham Status confirmed => resolved
2010-06-15 16:58 graham Resolution open => fixed
2010-06-15 16:58 graham Assigned To => graham
2010-06-30 18:08 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker